Xfce Foundation Classes
Main Page | Index | Namespace List | Alphabetical List | Class List | File List

# Xfc::Atk::HypertextSignals Class Reference

Abstract base class that implements the virtual signal handlers for Atk::Hypertext. More...

`#include <xfc/atk/hypertextsignals.hh>`

Inheritance diagram for Xfc::Atk::HypertextSignals:

List of all members.

## Public Member Functions

Signal Handlers

- virtual void on_link_selected (int link_index)
    Called when one of the hyperlinks associated with the HyperText object is selected.

## Protected Member Functions

Constructors

- virtual ~HypertextSignals ()=0
    Destructor.

## Detailed Description

Abstract base class that implements the virtual signal handlers for Atk::Hypertext.

## Member Function Documentation

virtual void Xfc::Atk::HypertextSignals::on_link_selected | ( | int | link_index | ) | `[virtual]`

Called when one of the hyperlinks associated with the HyperText object is selected.

Parameters:

  | link_index | The index of the hyperlink which is selected.

The documentation for this class was generated from the following file:

- hypertextsignals.hh

Xfce Foundation Classes

Copyright © 2004-2005 The XFC Development Team | XFC 4.3